Bug 40855 - imapd segfaults on some mailboxes
Summary: imapd segfaults on some mailboxes
Status: CLOSED DUPLICATE of bug 20858
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: imap   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-16 11:41 UTC by Thais Smith
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-18 07:11:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:094 high SHIPPED_LIVE : Updated UW imap packages available (imap/pop3/imaps/pop3s) 2001-07-06 04:00:00 UTC

Description Thais Smith 2001-05-16 11:41:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
I have a mailbox file which will cause imapd to segfault. See attachment.

How reproducible:
Always

Steps to Reproduce:
1. Copy offending file into IMAP maildir
2. Ask imapd to open that folder
3. Watch impad go pow
	

Additional info:

Comment 2 Mike A. Harris 2001-05-16 16:12:58 UTC
What version of imapd are you running?

rpm -q imap

If it isn't the latest errata update, could you update to the latest one
and test it for the problem also?

If the problem persists, I will create a new imap rpm package for you to
test ASAP, which will become an errata for all releases likely.

Comment 3 Thais Smith 2001-05-16 16:23:24 UTC
executor$ rpm -q imap
imap-2000-4

I believe that's the latest, unless I'm rsyncing my updates from the wrong 
place...


Comment 4 Mike A. Harris 2001-05-16 16:37:23 UTC
No, thats the right one for 7.0...  Can you try the imap-2000-9 package
from Seawolf and see if that fixes it?

Thanks.

Comment 5 Mike A. Harris 2001-05-18 07:11:05 UTC
I just updated imap to version imap-2000c and it contains many fixes for
stuff like this.  The packages are available from:

ftp://people.redhat.com/mharris/testing

Does this solve it for you?  I cant get imapd to crash myself anymore.
Please let me know ASAP, as I'll be releasing errata soon.

Comment 6 Mike A. Harris 2001-05-19 00:14:58 UTC

*** This bug has been marked as a duplicate of 20858 ***


Note You need to log in before you can comment on or make changes to this bug.